﻿@using GridMvc.Html
@using GridMvc.Sorting
@using LoyaltyPointEngine.Model.Object.CMSUser
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<QuickWin2Participation>

@(
 Html.Grid(Model).Named("AllLog").Columns(columns =>
 {
     columns.Add(x => x.MemberID)
         .Titled("Member Phone")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.MemberPhone)
         .Filterable(false);

     columns.Add(x => x.ReceiptCode)
         .Titled("Receipt Code")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ReceiptCode)
         .Filterable(false);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add(x => x.Comment)
         .Titled("Comment")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Comment);

     columns.Add(x => x.ReceiptStatus)
         .Titled("Receipt Status")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ReceiptStatus == 1 ? "Approve": x.ReceiptStatus == 0 ? "Waiting" : "Reject");

 })
.Sortable()
.WithPaging(5)
)
<h3 id="totalRows">@String.Format("{0} Total Rows", ViewData.Model.GridItems.Count().ToString())</h3>
<!--Create This File by Ucup-->